Bug 805481 - Designer: Add to Dictionary icon overlays red cross from validation errors
Designer: Add to Dictionary icon overlays red cross from validation errors
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ---
: BRMS 5.3.0.GA
Assigned To: Tihomir Surdilovic
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 08:55 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2012-03-21 08:55:22 EDT
Description of problem:
- which means, if there is a task that has this dictionary icon and something is wrong with it's definition, after you validate the process, you can't see what is wrong with the task. The red cross icon is under the book icon and it's text (the problem found while validating) does not show.


Version-Release number of selected component (if applicable):
BRMS 5.3.0 ER5


Steps to Reproduce:
1. Create a new process via the Designer, Start->Script Task->End.
2. Click on Validate Process.
3. Try to access the description of the validation failure above the task - the red cross.

  
Actual results:
No validation message shown. Only "Add to process Dictionary" from the book icon.


Expected results:
No book icon over the cross, validation message available.


Additional info:
The dictionary is a new feature in ER5.
Comment 1 Zuzana Krejčová 2012-03-21 09:17:16 EDT
You have to click the script task to see the book icon.
Comment 2 Tihomir Surdilovic 2012-04-02 16:29:25 EDT
Location of red X marker for validation error moved to a better location not to interfere with other shape icons. Fix checked into Designer master and 2.1.x branch.
Comment 3 Ryan Zhang 2012-04-23 03:38:33 EDT
Update status to ON_QA. Please verify them against ER6.

Note You need to log in before you can comment on or make changes to this bug.